## org.mortbay.jetty.plus.annotation
Class Injection

    java.lang.Object
      org.mortbay.jetty.plus.annotation.Injection

    public class Injection

extends Object

Injection Represents the injection of a resource into a target (method or field). The injection is performed by doing an ENC lookup using the jndi name provided, and setting the object obtained on the target.

Constructor Summary
`Injection()`

Method Summary
`String` `getJndiName()`
`String` `getMappingName()`
`Member` `getTarget()`
`Class` `getTargetClass()`
`void` `inject(Object injectable)` Inject a value for a Resource from JNDI into an object
`void` `injectField(Field field, Object injectable)` Inject value from jndi into a field of an instance
`void` `injectMethod(Method method, Object injectable)` Inject value from jndi into a setter method of an instance
`Object` `lookupInjectedValue()` The Resource must already exist in the ENC of this webapp.
`void` `setJndiName(String jndiName)`
`void` `setMappingName(String mappingName)`
`void` `setTarget(Class clazz, String targetName, Class targetType)`
`void` `setTarget(Member target)`
`void` `setTargetClass(Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Injection

    public Injection()

Method Detail

### getTargetClass

    public Class getTargetClass()

  Returns:
    the _className

### setTargetClass

    public void setTargetClass(Class clazz)

  Parameters:
    `name` - the _className to set

### getJndiName

    public String getJndiName()

  Returns:
    the jndiName

### setJndiName

    public void setJndiName(String jndiName)

  Parameters:
    `jndiName` - the jndiName to set

### getMappingName

    public String getMappingName()

  Returns:
    the mappingName

### setMappingName

    public void setMappingName(String mappingName)

  Parameters:
    `mappingName` - the mappingName to set

### getTarget

    public Member getTarget()

  Returns:
    the target

### setTarget

    public void setTarget(Member target)

  Parameters:
    `target` - the target to set

### setTarget

    public void setTarget(Class clazz,
                          String targetName,
                          Class targetType)

### inject

    public void inject(Object injectable)

  Inject a value for a Resource from JNDI into an object

  Parameters:
    `injectable` -
  Throws:
    `Exception`

### lookupInjectedValue

    public Object lookupInjectedValue()
                               throws NamingException

  The Resource must already exist in the ENC of this webapp.

  Returns:
  Throws:
    `Exception`
    `NamingException`

### injectField

    public void injectField(Field field,
                            Object injectable)

  Inject value from jndi into a field of an instance

  Parameters:
    `field` -
    `injectable` -

### injectMethod

    public void injectMethod(Method method,
                             Object injectable)

  Inject value from jndi into a setter method of an instance

  Parameters:
    `method` -
    `injectable` -

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.